{{ attach_library('growhappytheme/lct-faq') }}
{% include directory ~ '/templates/navigation/menu-new.html.twig' %}
{# {{ page.navigation }} #}
<main role="main" style="margin-top: 0;">
	{{ page.breadcrumb }}
	<a id="main-content" tabindex="-1"></a>
	{# link is in html.html.twig #}
	<div class="overflow-hidden lct__faq">
        <section class="lct__faq--hero pb-3 pb-md-5 pt-5">
            <div class="container text-md-center">
                <div class="row justify-content-center">
                    <div class="col-12 col-md-8 col-lg-5">
                        <h1 class="text-white mb-3">Tanya Jawab</h1>
                        <p class="text-white mb-5">Happy Parents punya pertanyaan seputar keanggotaan Grow Happy Club maupun produk LACTOGROW? Ayo temukan jawabannya di bawah ini.</p>
                        <form id="search-box" class="lct__faq--hero-form m-auto pb-md-5 pt-4 pt-md-0" action="/faq">
                            <div class="input-group">
                                <input id="s" name="s" placeholder="Cari Pertanyaan" type="text" class="form-control form-control-lg rounded-lg border-light shadow-sm" value="{{search_query}}">
                                <input id="limit" name="limit" type="hidden" value="{{limit}}">
                                <span class="input-group-btn">
                                    <button type="submit" class="btn bg-primary text-white rounded-lg px-3">
                                        <img width="18" src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-search.svg" alt="">
                                    </button>
                                </span>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </section>

        <section class="lct__faq--list pt-3 pb-5">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-12 col-lg-10">
                        <div class="row">
                        {% for key, faq in faqs %}
                            <div class="col-6 col-lg-4" style="height: 100%;">
                                <a class="text-decoration-none" href="{{ url('<front>') }}{{faq.url}}" style="color:black;">
                                    <div class="card mb-4" style="cursor:pointer;">
                                        <div class="card-body">
                                            <h5 class="card-title text-primary font-bold mb-4 mb-lg-3">{{ faq.title[:60] | raw }}</h5>
                                            <p class="card-text d-none d-md-block mb-5">{{ faq.body[:60] |raw }}...</p>
                                            <button class="btn btn-primary text-uppercase w-100 py-2">Lihat Detail</button>
                                        </div>
                                    </div>
                                </a>
                            </div>
				        {% endfor %}
                        </div>
                        <div class="row justify-content-center mt-4">
                            <div class="col-12 col-lg-4">
                                <button type="submit" form="search-box" class="btn btn-lg btn-primary blue-gradient px-5 text-uppercase w-100" onclick="document.getElementById('limit').value = '9999';">Lihat Semua</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
	</div>
	{# /.layout-content #}
</main>
{% if page.footer %}
	<footer
		id="primary-footer">
		{# {{ page.footer }} #}
		{% include directory ~ '/templates/includes/_footer_nestle.html.twig' %}
	</footer>
{% else %}
	{% include directory ~ '/templates/includes/_foot.html.twig' %}
{% endif %}
